youtube plugin in totem needs demuxer plugin

Bug #213232 reported by fretchen on 2008-04-07
10
Affects Status Importance Assigned to Milestone
totem (Ubuntu)
Undecided
kirvon

Bug Description

I produced the following problem.
1. Installed Hardy on a VMServer
2. Started Totem and activated the Youtube plugin
3. Search Video and installed the proposed codecs
4. Try to watch the video, but i get the following error

"The playback of this video requires a flash demuxer plugin, which is not installed".

When i activated the plugin and installed the codecs, it would be userfriendly, if the plugin would work out-of-the-box without additional installations

fretchen (fretchen) wrote :

In the konsole i get the following messages with now another error message:
fred@kubuntu:~$ totem
** (totem:14201): DEBUG: Init of Python module
** (totem:14201): DEBUG: Registering Python plugin instance: YouTube+TotemPythonPlugin
** (totem:14201): DEBUG: Creating object of type YouTube+TotemPythonPlugin
** (totem:14201): DEBUG: Creating Python plugin instance
** Message: Error: Failed to connect stream: Invalid argument
pulsesink.c(411): gst_pulsesink_prepare (): /play/abin/audiosinkbin/audio-sink/bin6/autoaudiosink1/autoaudiosink1-actual-sink-pulse

The error message is:
Failedto connect stream invalid argument.

Bhavani Shankar (bhavi) wrote :

See question ticket 32297 Same problem

Changed in totem:
status: New → Confirmed
sam tygier (samtygier) wrote :

fixed in intrepid. the codec installer gets launched

Changed in totem:
status: Confirmed → Fix Released

This is not fixed in Intrepid, at least not in my experience.

When I double-click on a YouTube video in Totem, it does launch the "Search for suitable codec?" dialog and tries to install the codecs. The first option, ffmpeg plugin, is the one I chose. After downloading and installing, which took barely a minute, Totem tried playing the YouTube video, but after around 10 seconds of the clock pointer, it said, "The playback of this video requires a flash demuxer plugin, which is not installed."

I tried closing and opening Totem, then I tried playing the same video. It again opened the "Search for suitable codec?" dialog. This time only the other option, "GStreamer plugins for mms, wavpack, quicktime, musepack; GStreamer plugins from the bad set" was available. I selected it and, after downloading and installing, it finally worked.

The "ffmpeg plugin" should be fixed or removed from the list. Unless this just happened to me?

Totem 2.26.1, with GStreamer 0.10.23 [Ubuntu 9.04] ask to search a "demuxer flash" and fail whit "I can't found it".

kirvon (bubbyslife) on 2009-10-03
Changed in totem (Ubuntu):
assignee: nobody → kirvon (bubbyslife)
kirvon (bubbyslife) wrote :

nevermind

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions